module OnetableTerminator
  class Lock
    attr_reader :filename, :file

    def initialize(driver)
      @filename = "/tmp/onevnm-#{driver}-lock"
    end

    def lock
      @file = File.open(filename, 'w')
      file.flock(File::LOCK_EX)
    end

    def unlock
      file.close
    end
  end
end
