module OnetableTerminator
  module Structures
    class Nic
      attr_reader :name, :rules

      def initialize(name)
        @name = name
        @rules = []
      end

      def add_rule(rule)
        rules << rule
      end

      def ==(other)
        name == other.name && rules == other.rules
      end
    end
  end
end
