module OnetableTerminator
  module Structures
    class Rule
      attr_accessor :number, :vm_id, :nic, :raw_line, :io, :target

      def initialize(line_hash)
        @number = line_hash[:number]
        @raw_line = line_hash[:raw_line]
        @io = line_hash[:io]
        @target = line_hash[:target]
        @vm_id = line_hash[:vm_id]
      end

      def ==(other)
        number == other.number && raw_line == other.raw_line && io == other.io && target == other.target && vm_id == other.vm_id
      end
    end
  end
end
